#ifndef _CURVE_H
#define _CURVE_H

#include "stdafx.h"
#include "Animator.h"

class CCurve : public CObject
{
public:
	double* x;
	double* y;
	int n;
	char* curvename;

	CCurve();
	~CCurve();

	static CCurve* pCurves [];

	virtual void Generate( double xmin, double xmax, BOOL wrap, 
		int nc, double* xc, double* yc ) = 0;
	virtual CCurve* Duplicate( void ) = 0;
};

#endif