#ifndef _PARSE_TAB_H
#define _PARSE_TAB_H
typedef union {
     char* s;
     struct _nodelist* nl;
     struct _node* n;
     struct _field* f;
} YYSTYPE;
#define	ROUTE	258
#define	IDENTIFIER	259
#define	TO	260
#define	USE	261
#define	DEF	262
#define	NULLL	263
#define	N_ANCHOR	264
#define	N_APPEARANCE	265
#define	N_AUDIOCLIP	266
#define	N_BACKGROUND	267
#define	N_BILLBOARD	268
#define	N_BOX	269
#define	N_COLLISION	270
#define	N_COLOR	271
#define	N_COLORINTERPOLATOR	272
#define	N_CONE	273
#define	N_COORDINATE	274
#define	N_COORDINATEINTERPOLATOR	275
#define	N_CYLINDER	276
#define	N_CYLINDERSENSOR	277
#define	N_DIRECTIONALLIGHT	278
#define	N_ELEVATIONGRID	279
#define	N_EXTRUSION	280
#define	N_FOG	281
#define	N_FONTSTYLE	282
#define	N_GROUP	283
#define	N_IMAGETEXTURE	284
#define	N_INDEXEDFACESET	285
#define	N_INDEXEDLINESET	286
#define	N_INLINE	287
#define	N_LOD	288
#define	N_MATERIAL	289
#define	N_MOVIETEXTURE	290
#define	N_NAVIGATIONINFO	291
#define	N_NORMAL	292
#define	N_NORMALINTERPOLATOR	293
#define	N_ORIENTATIONINTERPOLATOR	294
#define	N_PIXELTEXTURE	295
#define	N_PLANESENSOR	296
#define	N_POINTLIGHT	297
#define	N_POINTSET	298
#define	N_POSITIONINTERPOLATOR	299
#define	N_PROXIMITYSENSOR	300
#define	N_SCALARINTERPOLATOR	301
#define	N_SCRIPT	302
#define	N_SHAPE	303
#define	N_SOUND	304
#define	N_SPHERE	305
#define	N_SPHERESENSOR	306
#define	N_SPOTLIGHT	307
#define	N_SWITCH	308
#define	N_TEXT	309
#define	N_TEXTURECOORDINATE	310
#define	N_TEXTURETRANSFORM	311
#define	N_TIMESENSOR	312
#define	N_TOUCHSENSOR	313
#define	N_TRANSFORM	314
#define	N_VIEWPOINT	315
#define	N_VISIBILITYSENSOR	316
#define	N_WORLDINFO	317
#define	F_AMBIENTINTENSITY	318
#define	F_APPEARANCE	319
#define	F_ATTENUATION	320
#define	F_AUTOOFFSET	321
#define	F_AVATARSIZE	322
#define	F_AXISOFROTATION	323
#define	F_BACKURL	324
#define	F_BBOXCENTER	325
#define	F_BBOXSIZE	326
#define	F_BEAMWIDTH	327
#define	F_BEGINCAP	328
#define	F_BOTTOM	329
#define	F_BOTTOMRADIUS	330
#define	F_BOTTOMURL	331
#define	F_CCW	332
#define	F_CENTER	333
#define	F_CHILDREN	334
#define	F_CHOICE	335
#define	F_COLLIDE	336
#define	F_COLOR	337
#define	F_COLORINDEX	338
#define	F_COLORPERVERTEX	339
#define	F_CONVEX	340
#define	F_COORD	341
#define	F_COORDINDEX	342
#define	F_CREASEANGLE	343
#define	F_CROSSSECTION	344
#define	F_CUTOFFANGLE	345
#define	F_CYCLEINTERVAL	346
#define	F_DESCRIPTION	347
#define	F_DIFFUSECOLOR	348
#define	F_DIRECTOUTPUT	349
#define	F_DIRECTION	350
#define	F_DISKANGLE	351
#define	F_EMISSIVECOLOR	352
#define	F_ENABLED	353
#define	F_ENDCAP	354
#define	F_EVENTIN	355
#define	F_EVENTOUT	356
#define	F_FAMILY	357
#define	F_FIELD	358
#define	F_FIELDOFVIEW	359
#define	F_FOGTYPE	360
#define	F_FONTSTYLE	361
#define	F_FRONTURL	362
#define	F_GEOMETRY	363
#define	F_GROUNDANGLE	364
#define	F_GROUNDCOLOR	365
#define	F_HEADLIGHT	366
#define	F_HEIGHT	367
#define	F_HORIZONTAL	368
#define	F_INFO	369
#define	F_INTENSITY	370
#define	F_JUMP	371
#define	F_JUSTIFY	372
#define	F_KEY	373
#define	F_KEYVALUE	374
#define	F_LANGUAGE	375
#define	F_LEFTTORIGHT	376
#define	F_LEFTURL	377
#define	F_LENGTH	378
#define	F_LEVEL	379
#define	F_LOCATION	380
#define	F_LOOP	381
#define	F_MATERIAL	382
#define	F_MAXANGLE	383
#define	F_MAXBACK	384
#define	F_MAXEXTENT	385
#define	F_MAXFRONT	386
#define	F_MAXPOSITION	387
#define	F_MINANGLE	388
#define	F_MINBACK	389
#define	F_MINFRONT	390
#define	F_MINPOSITION	391
#define	F_MUSTEVALUATE	392
#define	F_NORMAL	393
#define	F_NORMALINDEX	394
#define	F_NORMALPERVERTEX	395
#define	F_OFFSET	396
#define	F_ON	397
#define	F_ORIENTATION	398
#define	F_PARAMETER	399
#define	F_PITCH	400
#define	F_POINT	401
#define	F_POSITION	402
#define	F_PRIORITY	403
#define	F_PROXY	404
#define	F_RADIUS	405
#define	F_RANGE	406
#define	F_REPEATS	407
#define	F_REPEATT	408
#define	F_RIGHTURL	409
#define	F_ROTATION	410
#define	F_SCALE	411
#define	F_SCALEORIENTATION	412
#define	F_SHININESS	413
#define	F_SIDE	414
#define	F_SIZE	415
#define	F_SKYANGLE	416
#define	F_SKYCOLOR	417
#define	F_SOLID	418
#define	F_SOURCE	419
#define	F_SPACING	420
#define	F_SPATIALIZE	421
#define	F_SPECULARCOLOR	422
#define	F_SPEED	423
#define	F_SPINE	424
#define	F_STARTTIME	425
#define	F_STOPTIME	426
#define	F_STRING	427
#define	F_STYLE	428
#define	F_TEXCOORD	429
#define	F_TEXCOORDINDEX	430
#define	F_TEXTURE	431
#define	F_TEXTURETRANSFORM	432
#define	F_TITLE	433
#define	F_TOP	434
#define	F_TOPTOBOTTOM	435
#define	F_TOPURL	436
#define	F_TRANSLATION	437
#define	F_TRANSPARENCY	438
#define	F_TYPE	439
#define	F_URL	440
#define	F_VECTOR	441
#define	F_VISIBILITYLIMIT	442
#define	F_VISIBILITYRANGE	443
#define	F_WHICHCHOICE	444
#define	F_XDIMENSION	445
#define	F_XSPACING	446
#define	F_ZDIMENSION	447
#define	F_ZSPACING	448
#define	SFROTATION	449
#define	MFROTATION	450
#define	SFINT32	451
#define	MFINT32	452
#define	SFVEC2T	453
#define	MFVEC2T	454
#define	SFVEC3T	455
#define	MFVEC3T	456
#define	SFVEC2F	457
#define	MFVEC2F	458
#define	SFNODE	459
#define	MFNODE	460
#define	SFFLOAT	461
#define	MFFLOAT	462
#define	SFVEC3F	463
#define	MFVEC3F	464
#define	SFSTRING	465
#define	MFSTRING	466
#define	SFBOOL	467
#define	MFBOOL	468
#define	SFCOLOR	469
#define	MFCOLOR	470
#define	SFTIME	471
#define	MFTIME	472
#define	LAST_TOKEN	473


extern YYSTYPE yylval;
#endif
