#include "stdafx.h"
#include "parse.tab.h"
char* keyword_table[LAST_TOKEN];
void initialize_keyword_table( void ) {
     keyword_table[N_ANCHOR] = "Anchor";
     keyword_table[N_APPEARANCE] = "Appearance";
     keyword_table[N_AUDIOCLIP] = "AudioClip";
     keyword_table[N_BACKGROUND] = "Background";
     keyword_table[N_BILLBOARD] = "Billboard";
     keyword_table[N_BOX] = "Box";
     keyword_table[N_COLLISION] = "Collision";
     keyword_table[N_COLOR] = "Color";
     keyword_table[N_COLORINTERPOLATOR] = "ColorInterpolator";
     keyword_table[N_CONE] = "Cone";
     keyword_table[N_COORDINATE] = "Coordinate";
     keyword_table[N_COORDINATEINTERPOLATOR] = "CoordinateInterpolator";
     keyword_table[N_CYLINDER] = "Cylinder";
     keyword_table[N_CYLINDERSENSOR] = "CylinderSensor";
     keyword_table[N_DIRECTIONALLIGHT] = "DirectionalLight";
     keyword_table[N_ELEVATIONGRID] = "ElevationGrid";
     keyword_table[N_EXTRUSION] = "Extrusion";
     keyword_table[N_FOG] = "Fog";
     keyword_table[N_FONTSTYLE] = "FontStyle";
     keyword_table[N_GROUP] = "Group";
     keyword_table[N_IMAGETEXTURE] = "ImageTexture";
     keyword_table[N_INDEXEDFACESET] = "IndexedFaceSet";
     keyword_table[N_INDEXEDLINESET] = "IndexedLineSet";
     keyword_table[N_INLINE] = "Inline";
     keyword_table[N_LOD] = "LOD";
     keyword_table[N_MATERIAL] = "Material";
     keyword_table[N_MOVIETEXTURE] = "MovieTexture";
     keyword_table[N_NAVIGATIONINFO] = "NavigationInfo";
     keyword_table[N_NORMAL] = "Normal";
     keyword_table[N_NORMALINTERPOLATOR] = "NormalInterpolator";
     keyword_table[N_ORIENTATIONINTERPOLATOR] = "OrientationInterpolator";
     keyword_table[N_PIXELTEXTURE] = "PixelTexture";
     keyword_table[N_PLANESENSOR] = "PlaneSensor";
     keyword_table[N_POINTLIGHT] = "PointLight";
     keyword_table[N_POINTSET] = "PointSet";
     keyword_table[N_POSITIONINTERPOLATOR] = "PositionInterpolator";
     keyword_table[N_PROXIMITYSENSOR] = "ProximitySensor";
     keyword_table[N_SCALARINTERPOLATOR] = "ScalarInterpolator";
     keyword_table[N_SCRIPT] = "Script";
     keyword_table[N_SHAPE] = "Shape";
     keyword_table[N_SOUND] = "Sound";
     keyword_table[N_SPHERE] = "Sphere";
     keyword_table[N_SPHERESENSOR] = "SphereSensor";
     keyword_table[N_SPOTLIGHT] = "SpotLight";
     keyword_table[N_SWITCH] = "Switch";
     keyword_table[N_TEXT] = "Text";
     keyword_table[N_TEXTURECOORDINATE] = "TextureCoordinate";
     keyword_table[N_TEXTURETRANSFORM] = "TextureTransform";
     keyword_table[N_TIMESENSOR] = "TimeSensor";
     keyword_table[N_TOUCHSENSOR] = "TouchSensor";
     keyword_table[N_TRANSFORM] = "Transform";
     keyword_table[N_VIEWPOINT] = "Viewpoint";
     keyword_table[N_VISIBILITYSENSOR] = "VisibilitySensor";
     keyword_table[N_WORLDINFO] = "WorldInfo";
     keyword_table[F_AMBIENTINTENSITY] = "ambientIntensity";
     keyword_table[F_APPEARANCE] = "appearance";
     keyword_table[F_ATTENUATION] = "attenuation";
     keyword_table[F_AUTOOFFSET] = "autoOffset";
     keyword_table[F_AVATARSIZE] = "avatarSize";
     keyword_table[F_AXISOFROTATION] = "axisOfRotation";
     keyword_table[F_BACKURL] = "backUrl";
     keyword_table[F_BBOXCENTER] = "bboxCenter";
     keyword_table[F_BBOXSIZE] = "bboxSize";
     keyword_table[F_BBOXSIZE] = "bboxsize";
     keyword_table[F_BEAMWIDTH] = "beamWidth";
     keyword_table[F_BEGINCAP] = "beginCap";
     keyword_table[F_BOTTOM] = "bottom";
     keyword_table[F_BOTTOMRADIUS] = "bottomRadius";
     keyword_table[F_BOTTOMURL] = "bottomUrl";
     keyword_table[F_CCW] = "ccw";
     keyword_table[F_CENTER] = "center";
     keyword_table[F_CHILDREN] = "children";
     keyword_table[F_CHOICE] = "choice";
     keyword_table[F_COLLIDE] = "collide";
     keyword_table[F_COLOR] = "color";
     keyword_table[F_COLORINDEX] = "colorIndex";
     keyword_table[F_COLORPERVERTEX] = "colorPerVertex";
     keyword_table[F_CONVEX] = "convex";
     keyword_table[F_COORD] = "coord";
     keyword_table[F_COORDINDEX] = "coordIndex";
     keyword_table[F_CREASEANGLE] = "creaseAngle";
     keyword_table[F_CROSSSECTION] = "crossSection";
     keyword_table[F_CUTOFFANGLE] = "cutOffAngle";
     keyword_table[F_CYCLEINTERVAL] = "cycleInterval";
     keyword_table[F_DESCRIPTION] = "description";
     keyword_table[F_DIFFUSECOLOR] = "diffuseColor";
     keyword_table[F_DIRECTOUTPUT] = "directOutput";
     keyword_table[F_DIRECTION] = "direction";
     keyword_table[F_DISKANGLE] = "diskAngle";
     keyword_table[F_EMISSIVECOLOR] = "emissiveColor";
     keyword_table[F_ENABLED] = "enabled";
     keyword_table[F_ENDCAP] = "endCap";
     keyword_table[F_EVENTIN] = "eventIn";
     keyword_table[F_EVENTOUT] = "eventOut";
     keyword_table[F_FAMILY] = "family";
     keyword_table[F_FIELD] = "field";
     keyword_table[F_FIELDOFVIEW] = "fieldOfView";
     keyword_table[F_FOGTYPE] = "fogType";
     keyword_table[F_FONTSTYLE] = "fontStyle";
     keyword_table[F_FRONTURL] = "frontUrl";
     keyword_table[F_GEOMETRY] = "geometry";
     keyword_table[F_GROUNDANGLE] = "groundAngle";
     keyword_table[F_GROUNDCOLOR] = "groundColor";
     keyword_table[F_HEADLIGHT] = "headlight";
     keyword_table[F_HEIGHT] = "height";
     keyword_table[F_HORIZONTAL] = "horizontal";
     keyword_table[F_INFO] = "info";
     keyword_table[F_INTENSITY] = "intensity";
     keyword_table[F_JUMP] = "jump";
     keyword_table[F_JUSTIFY] = "justify";
     keyword_table[F_KEY] = "key";
     keyword_table[F_KEYVALUE] = "keyValue";
     keyword_table[F_LANGUAGE] = "language";
     keyword_table[F_LEFTTORIGHT] = "leftToRight";
     keyword_table[F_LEFTURL] = "leftUrl";
     keyword_table[F_LENGTH] = "length";
     keyword_table[F_LEVEL] = "level";
     keyword_table[F_LOCATION] = "location";
     keyword_table[F_LOOP] = "loop";
     keyword_table[F_MATERIAL] = "material";
     keyword_table[F_MAXANGLE] = "maxAngle";
     keyword_table[F_MAXBACK] = "maxBack";
     keyword_table[F_MAXEXTENT] = "maxExtent";
     keyword_table[F_MAXFRONT] = "maxFront";
     keyword_table[F_MAXPOSITION] = "maxPosition";
     keyword_table[F_MINANGLE] = "minAngle";
     keyword_table[F_MINBACK] = "minBack";
     keyword_table[F_MINFRONT] = "minFront";
     keyword_table[F_MINPOSITION] = "minPosition";
     keyword_table[F_MUSTEVALUATE] = "mustEvaluate";
     keyword_table[F_NORMAL] = "normal";
     keyword_table[F_NORMALINDEX] = "normalIndex";
     keyword_table[F_NORMALPERVERTEX] = "normalPerVertex";
     keyword_table[F_OFFSET] = "offset";
     keyword_table[F_ON] = "on";
     keyword_table[F_ORIENTATION] = "orientation";
     keyword_table[F_PARAMETER] = "parameter";
     keyword_table[F_PITCH] = "pitch";
     keyword_table[F_POINT] = "point";
     keyword_table[F_POSITION] = "position";
     keyword_table[F_PRIORITY] = "priority";
     keyword_table[F_PROXY] = "proxy";
     keyword_table[F_RADIUS] = "radius";
     keyword_table[F_RANGE] = "range";
     keyword_table[F_REPEATS] = "repeatS";
     keyword_table[F_REPEATT] = "repeatT";
     keyword_table[F_RIGHTURL] = "rightUrl";
     keyword_table[F_ROTATION] = "rotation";
     keyword_table[F_SCALE] = "scale";
     keyword_table[F_SCALEORIENTATION] = "scaleOrientation";
     keyword_table[F_SHININESS] = "shininess";
     keyword_table[F_SIDE] = "side";
     keyword_table[F_SIZE] = "size";
     keyword_table[F_SKYANGLE] = "skyAngle";
     keyword_table[F_SKYCOLOR] = "skyColor";
     keyword_table[F_SOLID] = "solid";
     keyword_table[F_SOURCE] = "source";
     keyword_table[F_SPACING] = "spacing";
     keyword_table[F_SPATIALIZE] = "spatialize";
     keyword_table[F_SPECULARCOLOR] = "specularColor";
     keyword_table[F_SPEED] = "speed";
     keyword_table[F_SPINE] = "spine";
     keyword_table[F_STARTTIME] = "startTime";
     keyword_table[F_STOPTIME] = "stopTime";
     keyword_table[F_STRING] = "string";
     keyword_table[F_STYLE] = "style";
     keyword_table[F_TEXCOORD] = "texCoord";
     keyword_table[F_TEXCOORDINDEX] = "texCoordIndex";
     keyword_table[F_TEXTURE] = "texture";
     keyword_table[F_TEXTURETRANSFORM] = "textureTransform";
     keyword_table[F_TITLE] = "title";
     keyword_table[F_TOP] = "top";
     keyword_table[F_TOPTOBOTTOM] = "topToBottom";
     keyword_table[F_TOPURL] = "topUrl";
     keyword_table[F_TRANSLATION] = "translation";
     keyword_table[F_TRANSPARENCY] = "transparency";
     keyword_table[F_TYPE] = "type";
     keyword_table[F_URL] = "url";
     keyword_table[F_VECTOR] = "vector";
     keyword_table[F_VISIBILITYLIMIT] = "visibilityLimit";
     keyword_table[F_VISIBILITYRANGE] = "visibilityRange";
     keyword_table[F_WHICHCHOICE] = "whichChoice";
     keyword_table[F_XDIMENSION] = "xDimension";
     keyword_table[F_XSPACING] = "xSpacing";
     keyword_table[F_ZDIMENSION] = "zDimension";
     keyword_table[F_ZSPACING] = "zSpacing";
     keyword_table[SFROTATION] = "SFrotation";
     keyword_table[MFROTATION] = "MFrotation";
     keyword_table[SFINT32] = "SFint32";
     keyword_table[MFINT32] = "MFint32";
     keyword_table[SFVEC2T] = "SFvec2t";
     keyword_table[MFVEC2T] = "MFvec2t";
     keyword_table[SFVEC3T] = "SFvec3t";
     keyword_table[MFVEC3T] = "MFvec3t";
     keyword_table[SFVEC2F] = "SFvec2f";
     keyword_table[MFVEC2F] = "MFvec2f";
     keyword_table[SFNODE] = "SFnode";
     keyword_table[MFNODE] = "MFnode";
     keyword_table[SFFLOAT] = "SFfloat";
     keyword_table[MFFLOAT] = "MFfloat";
     keyword_table[SFVEC3F] = "SFvec3f";
     keyword_table[MFVEC3F] = "MFvec3f";
     keyword_table[SFSTRING] = "SFstring";
     keyword_table[MFSTRING] = "MFstring";
     keyword_table[SFBOOL] = "SFbool";
     keyword_table[MFBOOL] = "MFbool";
     keyword_table[SFCOLOR] = "SFcolor";
     keyword_table[MFCOLOR] = "MFcolor";
     keyword_table[SFTIME] = "SFtime";
     keyword_table[MFTIME] = "MFtime";
     keyword_table[ROUTE] = "ROUTE";
     keyword_table[TO] = "TO";
     keyword_table[USE] = "USE";
     keyword_table[DEF] = "DEF";
     keyword_table[NULLL] = "NULL";
}
