//
// copy this file to create the header for a new curve type,
// such as "CFooCurve".
//
// a good start on this file is to search-and-replace "linear" 
// with "foo".
//


#ifndef _LINEARCURVE_H
#define _LINEARCURVE_H

#include "stdafx.h"
#include "Animator.h"
#include "Curve.h"

// all curve types inherit from CCurve
class CLinearCurve : public CCurve
{
public:

	CLinearCurve();

	// take control points and generate a set of line segments
	// approximating the curve.
	void Generate( double xmin, double xmax, BOOL wrap,
		int nc, double* xc, double* yc );

	// return a new instance of myself.
	CCurve* Duplicate( void ) {	return new CLinearCurve; }
};

#endif

