#if !defined(AFX_PLOTVIEW_H__7F4F0557_BCF9_11D1_87D4_00A0C9062ECB__INCLUDED_)
#define AFX_PLOTVIEW_H__7F4F0557_BCF9_11D1_87D4_00A0C9062ECB__INCLUDED_

#include "EditedField.h"

#include "vrmlparse.h"

#define MAX_EDITORS     64

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// PlotView.h : header file
//

class CEditedField;

/////////////////////////////////////////////////////////////////////////////
// CPlotView view

class CPlotView : public CScrollView
{
protected:
	CPlotView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CPlotView)

// Attributes
public:
	static int nEditorWidth, nEditorHeight;
	int nEditors;
	CEditedField* pEditFields[MAX_EDITORS];
	int nTracking;
	int nMenuPane;
	CFont* pTextFont;

	void InitializePaneDC( CDC* );

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPlotView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void OnInitialUpdate();     // first time after construct
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CPlotView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

public:
	void EditField( field* f );

	// Generated message map functions
	//{{AFX_MSG(CPlotView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnEditClose();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnEditScale();
	afx_msg void OnEditDelete();
	//}}AFX_MSG
	afx_msg void OnEditCurve( UINT nID );
	afx_msg void OnEditType( UINT nID );
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PLOTVIEW_H__7F4F0557_BCF9_11D1_87D4_00A0C9062ECB__INCLUDED_)
