// SelectView.h : interface of the CSelectView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_SELECTVIEW_H__7F4F054B_BCF9_11D1_87D4_00A0C9062ECB__INCLUDED_)
#define AFX_SELECTVIEW_H__7F4F054B_BCF9_11D1_87D4_00A0C9062ECB__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "vrmlparse.h"

class CSelectView : public CTreeView
{
protected: // create from serialization only
	CSelectView();
	DECLARE_DYNCREATE(CSelectView)

// Attributes
public:
	CAnimatorDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSelectView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSelectView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	void BuildView( nodelist*, HTREEITEM, TV_INSERTSTRUCT*, field*, CString );

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CSelectView)
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in SelectView.cpp
inline CAnimatorDoc* CSelectView::GetDocument()
   { return (CAnimatorDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SELECTVIEW_H__7F4F054B_BCF9_11D1_87D4_00A0C9062ECB__INCLUDED_)
